FaceValueAccrualClaim Class Reference

Claim on the notional of a reference security, including accrual. More...

`#include <ql/instruments/claim.hpp>`

Inheritance diagram for FaceValueAccrualClaim:
[legend]

## Public Member Functions

| FaceValueAccrualClaim (const boost::shared_ptr< Bond > &referenceSecurity)
Real | amount (const Date &d, Real notional, Real recoveryRate) const
Public Member Functions inherited from Claim
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Detailed Description

Claim on the notional of a reference security, including accrual.